> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.feedonomics.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.feedonomics.com/_mcp/server.

# Get Fulfillments

GET https://marketplace-order-api.feedamp.feedonomics.com/api/v1/orders/{mp_order_number}/fulfillments

Get the seller-supplied fulfillment information for all order lines in an order

Reference: https://docs.feedonomics.com/developer/api-reference/rest/feed-amp-order-source-api/orders/get-order-fulfillment-by-order-id

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `mp_order_number` (string, required) — The unique Id for an order that is generated by the marketplace

## Response

### 200

Successful retrieval of seller fulfillments

- `status` (enum, optional) — The status of the fulfillments&#x20; PENDING - No fulfillment information is available for the order PARTIALLY\_FULFILLED - Order has been partially fulfilled/cancelled. One or more items are unaccounted for COMPLETE - The order has been completely fulfilled
  - Allowed values: `PENDING`, `PARTIALLY_FULFILLED`, `COMPLETE`
- `is_marketplace_fulfilled` (boolean, optional) — Whether the order is fulfilled by the marketplace, and no further action is required by the seller to fulfill&#x20; True - The order is fulfilled by the marketplace &#x20;False - The seller must fulfill the order
- `fulfillments` (list of OrderFulfillment, optional) — List of shipments and cancellations for each order line

## Errors

### 401 Unauthorized Error

Invalid token

- `error` (string, optional) — Message describing the authentication failure

### 404 Not Found Error

The order could not be found in the systems

- `message` (string, optional) — Error message

## Types

### OrderFulfillment

All the shipments and cancellations for an order line

- `mp_line_number` (string, required) — The order line identifier provided by the marketplace.
- `shipments` (list of Shipment, required)
- `cancellations` (list of Cancellation, required)
- `status` (enum, required) — The status of the fulfillments&#x20; PENDING - No fulfillment information is available for the order PARTIALLY\_FULFILLED - Order has been partially fulfilled/cancelled. One or more items are unaccounted for COMPLETE - The order has been completely fulfilled
  - Allowed values: `PENDING`, `PARTIALLY_FULFILLED`, `COMPLETE`
- `pending` (OrderFulfillmentPending, optional)

### Shipment

Object representing a shipment of 1 or more items for an order line

- `quantity` (integer, required) — The quantity in the shipment
- `carrier` (enum, required) — Carrier used by seller for shipping. Must be a valid carrier name
  - Allowed values: `4PX`, `A-1`, `AAA Cooper`, `ABF`, `Asendia`, `Best Buy`, `Blue Package`, `Canada Post`, `CEVA`, `China Post`, `Conway`, `DHL`, `DHL eCommerce`, `Estes`, `FedEx`, `Fedex Freight`, `FedEx SmartPost`, `First Mile`, `Hongkong Post`, `Hunter Logistics`, `India Post`, `JCEX`, `Lasership`, `Newgistics`, `Old Dominion`, `OnTrac`, `OSM`, `Pilot Freight`, `R+L`, `Roadrunner`, `Royal Mail`, `Saia`, `SF Express`, `SFC`, `Singapore Post`, `South Eastern Freight Lines`, `Streamlite`, `UPS`, `UPS Freight`, `UPS Mail Innovations`, `Urban Express`, `USPS`, `WanbExpress`, `Watkins and Shepard`, `YANWEN`, `Yellow Freight`, `Yun Express`, `Other`
- `tracking_number` (string, required)
- `shipped_date` (date, optional) — Date the item was shipped. ISO 8601 DATE YYYY-MM-DD
- `tracking_url` (string, optional)

### Cancellation

Object representing the cancellation of 1 or more items of an order line

- `quantity` (integer, required) — The quantity being cancelled
- `reason` (enum, required) — Reason provided for the order line's cancellation
  - Allowed values: `customer_cancelled`, `unable_to_ship`, `out_of_stock`, `price_error`, `tax_error`, `shipping_price_error`, `other`

### OrderFulfillmentPending

- `quantity` (integer, required) — Number of items unaccounted for

## Examples

**Response**

```json
{
  "status": "PENDING",
  "is_marketplace_fulfilled": true,
  "fulfillments": [
    {
      "mp_line_number": "XX-111-FF-1111",
      "shipments": [
        {
          "quantity": 1,
          "carrier": "UPS",
          "tracking_number": "XXX-DDD-XXXX-DDDD",
          "shipped_date": {},
          "tracking_url": "https://www.example.com/?track=XXX-DDD-XXXX-DDDD"
        }
      ],
      "cancellations": [
        {
          "quantity": 1,
          "reason": "customer_cancelled"
        }
      ],
      "status": "PENDING",
      "pending": {
        "quantity": 1
      }
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://marketplace-order-api.feedamp.feedonomics.com/api/v1/orders/mp_order_number/fulfillments"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://marketplace-order-api.feedamp.feedonomics.com/api/v1/orders/mp_order_number/fulfillments';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://marketplace-order-api.feedamp.feedonomics.com/api/v1/orders/mp_order_number/fulfillments"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://marketplace-order-api.feedamp.feedonomics.com/api/v1/orders/mp_order_number/fulfillments")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://marketplace-order-api.feedamp.feedonomics.com/api/v1/orders/mp_order_number/fulfillments")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://marketplace-order-api.feedamp.feedonomics.com/api/v1/orders/mp_order_number/fulfillments', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://marketplace-order-api.feedamp.feedonomics.com/api/v1/orders/mp_order_number/fulfillments");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://marketplace-order-api.feedamp.feedonomics.com/api/v1/orders/mp_order_number/fulfillments")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```